Axis2/C: soap fault sub code

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap fault sub code
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_sub_code_t * | axiom_soap_fault_sub_code_create_with_parent (const axutil_env_t *env, axiom_soap_fault_code_t *fault_code)
AXIS2_EXTERN axiom_soap_fault_sub_code_t * | axiom_soap_fault_sub_code_create_with_parent_value (const axutil_env_t *env, axiom_soap_fault_code_t *fault_code, axis2_char_t *value)
AXIS2_EXTERN void | axiom_soap_fault_sub_code_free (axiom_soap_fault_sub_code_t *fault_sub_code, const axutil_env_t *env)
AXIS2_EXTERN axiom_soap_fault_sub_code_t * | axiom_soap_fault_sub_code_get_sub_code (axiom_soap_fault_sub_code_t *fault_sub_code, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_value * | axiom_soap_fault_sub_code_get_value (axiom_soap_fault_sub_code_t *fault_sub_code, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_sub_code_get_base_node (axiom_soap_fault_sub_code_t *fault_sub_code, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_soap_fault_sub_code_t* axiom_soap_fault_sub_code_create_with_parent | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_code_t * | fault_code |
| ) |  |  |

creates a soap struct

Parameters:

  | env | Environment. MUST NOT be NULL
  | fault_code | SOAP fault code

Returns:
  Created SOAP fault sub code

AXIS2_EXTERN axiom_soap_fault_sub_code_t* axiom_soap_fault_sub_code_create_with_parent_value | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_code_t * | fault_code,
|  | axis2_char_t * | value |
| ) |  |  |

Create a SOAP fault sub code from the given SOAP fault and value

Parameters:

  | fault_sub_code | pointer to soap_fault_sub_code struct
  | env | Environment. MUST NOT be NULL
  | value | the value to be set to the SOAP fault

Returns:
  Created SOAP sub code

AXIS2_EXTERN void axiom_soap_fault_sub_code_free | ( | axiom_soap_fault_sub_code_t * | fault_sub_code,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_sub_code

Parameters:

  | fault_sub_code | pointer to soap_fault_sub_code struct
  | env | Environment. MUST NOT be NULL

Returns:
  VOID

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_sub_code_get_base_node | ( | axiom_soap_fault_sub_code_t * | fault_sub_code,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the base node of the SOAP fault sub code

Parameters:

  | fault_sub_code | pointer to soap_fault_sub_code struct
  | env | Environment. MUST NOT be NULL

Returns:
  the base node of the SOAP fault sub code as OM node

AXIS2_EXTERN axiom_soap_fault_sub_code_t* axiom_soap_fault_sub_code_get_sub_code | ( | axiom_soap_fault_sub_code_t * | fault_sub_code,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the SOAP fault sub code

Parameters:

  | fault_sub_code | pointer to soap_fault_sub_code struct
  | env | Environment. MUST NOT be NULL

Returns:
  the SOAP fault sub code

AXIS2_EXTERN struct axiom_soap_fault_value* axiom_soap_fault_sub_code_get_value | ( | axiom_soap_fault_sub_code_t * | fault_sub_code,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Get the value of the SOAP fault sub code

Parameters:

  | fault_sub_code | pointer to soap_fault_sub_code struct
  | env | Environment. MUST NOT be NULL

Returns:
  the SOAP fault value